
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.SerializedName;

@SuppressWarnings("unused")
public class BatteryBaseInfo {

    @SerializedName("CurrentCapacity")
    private Long currentCapacity;
    @SerializedName("InstantAmperage")
    private Long instantAmperage;
    @SerializedName("IsCharging")
    private Boolean isCharging;
    @SerializedName("Temperature")
    private Long temperature;
    @SerializedName("Voltage")
    private Long voltage;

    public Long getCurrentCapacity() {
        return currentCapacity;
    }

    public void setCurrentCapacity(Long currentCapacity) {
        this.currentCapacity = currentCapacity;
    }

    public Long getInstantAmperage() {
        return instantAmperage;
    }

    public void setInstantAmperage(Long instantAmperage) {
        this.instantAmperage = instantAmperage;
    }

    public Boolean getIsCharging() {
        return isCharging;
    }

    public void setIsCharging(Boolean isCharging) {
        this.isCharging = isCharging;
    }

    public Long getTemperature() {
        return temperature;
    }

    public void setTemperature(Long temperature) {
        this.temperature = temperature;
    }

    public Long getVoltage() {
        return voltage;
    }

    public void setVoltage(Long voltage) {
        this.voltage = voltage;
    }

    @Override
    public String toString() {
        return "BatteryBaseInfo{" +
                "currentCapacity=" + currentCapacity +
                ", instantAmperage=" + instantAmperage +
                ", isCharging=" + isCharging +
                ", temperature=" + temperature +
                ", voltage=" + voltage +
                '}';
    }
}
